All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::scheduler::result_of::op_type_info< T > Struct Template Reference

Metafunction for querying type informations. More...

`#include <forwards.h>`

## Public Types

typedef T::ERROR_UNKNOWN_OP_TYPE | error_type

## Detailed Description

### template<typename T>
struct viennacl::scheduler::result_of::op_type_info< T >

Metafunction for querying type informations.

Definition at line 156 of file forwards.h.

## Member Typedef Documentation

template<typename T >

typedef T::ERROR_UNKNOWN_OP_TYPE viennacl::scheduler::result_of::op_type_info< T >::error_type

Definition at line 158 of file forwards.h.

The documentation for this struct was generated from the following file:

- viennacl/scheduler/forwards.h